
SSiO - Feature #203

Backlog # 202 (In Progress): Platform functions

Start up a work regarding positions of sensors and discovering of sensors

10/31/2018 06:16 PM - Leif Häggmark

Status: Closed Start date: 10/31/2018

Priority: Normal Due date: 11/20/2018

Assignee: Anders Haraldsson % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:  Spent time: 0.00 hour

Description

Work together with Karan, Saguna and Andreas

NOTE! - Me, karan and Andreas had a meeting last week discussing the basics: We presented the first use-case where our Hololens

solution from CGI needs live sensor data - based on the units position aso...

We came to the conclusion that we should specify our way to access sensors by position on and utilize the Geolocation capabilities

in the NGSIv2 protocol - a part of the Orion broker - already stated/recommended by Fiware. The geo capabilities are well suited for

all our needs with both simple methods and more advanced.

And that we should make a public API available for external requests. This with the basics arguments needed for requesting data

(login credentials, position X/Y, search radius aso) - eg in this case CGI and the hololens...

Sokigos suggestion is that we implement our basic layout/idea in a proof of concept - tested with the Hololens demo. We think

Sokigo are suited to do this work?!

To do now:

Specify how the request should look like/parameters - and what kind of response it will produce in the version 1...

History

#1 - 11/19/2018 01:08 PM - Leif Häggmark

- Assignee set to Anders Haraldsson

#2 - 11/19/2018 01:29 PM - Anders Haraldsson

Me, karan and Andreas had a meeting last week discussing the basics: We presented the first use-case where our Hololens solution from CGI needs

live sensor data - based on the units position aso...

We came to the conclusion that we should specify our way to access sensors by position on and utilize the Geolocation capabilities in the NGSIv2

protocol - a part of the Orion broker - already stated/recommended by Fiware. The geo capabilities are well suited for all our needs with both simple

methods and more advanced.

And that we should make a public API available for external requests. This with the basics arguments needed for requesting data (login credentials,

position X/Y, search radius aso) - eg in this case CGI and the hololens...

Sokigos suggestion is that we implement our basic layout/idea in a proof of concept - tested with the Hololens demo. We think Sokigo are suited to do

this work?!

To do now:

Specify how the request should look like/parameters - and what kind of response it will produce in the version 1...
#3 - 11/19/2018 01:29 PM - Anders Haraldsson

Me, karan and Andreas had a meeting last week discussing the basics: We presented the first use-case where our Hololens solution from CGI needs

live sensor data - based on the units position aso...

We came to the conclusion that we should specify our way to access sensors by position on and utilize the Geolocation capabilities in the NGSIv2

protocol - a part of the Orion broker - already stated/recommended by Fiware. The geo capabilities are well suited for all our needs with both simple

methods and more advanced.

And that we should make a public API available for external requests. This with the basics arguments needed for requesting data (login credentials,

position X/Y, search radius aso) - eg in this case CGI and the hololens...

Sokigos suggestion is that we implement our basic layout/idea in a proof of concept - tested with the Hololens demo. We think Sokigo are suited to do

this work?!

To do now:

Specify how the request should look like/parameters - and what kind of response it will produce in the version 1...

#4 - 11/19/2018 01:30 PM - Anders Haraldsson

- Status changed from New to In Progress

#5 - 11/19/2018 01:30 PM - Anders Haraldsson

Me, karan and Andreas had a meeting last week discussing the basics: We presented the first use-case where our Hololens solution from CGI needs

live sensor data - based on the units position aso...

We came to the conclusion that we should specify our way to access sensors by position on and utilize the Geolocation capabilities in the NGSIv2

protocol - a part of the Orion broker - already stated/recommended by Fiware. The geo capabilities are well suited for all our needs with both simple

methods and more advanced.

And that we should make a public API available for external requests. This with the basics arguments needed for requesting data (login credentials,

position X/Y, search radius aso) - eg in this case CGI and the hololens...

Sokigos suggestion is that we implement our basic layout/idea in a proof of concept - tested with the Hololens demo. We think Sokigo are suited to do

this work?!

To do now:

Specify how the request should look like/parameters - and what kind of response it will produce in the version 1...

#6 - 11/19/2018 01:30 PM - Anders Haraldsson

- Description updated

#7 - 11/19/2018 01:31 PM - Anders Haraldsson
- Description updated

#8 - 11/19/2018 01:31 PM - Anders Haraldsson

Me, karan and Andreas had a meeting last week discussing the basics: We presented the first use-case where our Hololens solution from CGI needs

live sensor data - based on the units position aso...

We came to the conclusion that we should specify our way to access sensors by position on and utilize the Geolocation capabilities in the NGSIv2

protocol - a part of the Orion broker - already stated/recommended by Fiware. The geo capabilities are well suited for all our needs with both simple

methods and more advanced.

And that we should make a public API available for external requests. This with the basics arguments needed for requesting data (login credentials,

position X/Y, search radius aso) - eg in this case CGI and the hololens...

Sokigos suggestion is that we implement our basic layout/idea in a proof of concept - tested with the Hololens demo. We think Sokigo are suited to do

this work?!

To do now:

Specify how the request should look like/parameters - and what kind of response it will produce in the version 1...

#9 - 11/20/2018 01:07 PM - Leif Häggmark

- Sprint changed from Sprint 5 to Sprint 6

#10 - 11/20/2018 02:36 PM - Leif Häggmark

- Status changed from In Progress to Closed
